# Generated by rust2rpm 27
%bcond check 1

%global app_id org.squidowl.halloy

Name:           halloy
Version:        2025.4
Release:        1%{?dist}
Summary:        Open-source IRC client written in Rust, with the Iced GUI library

# Source license: GPL-3.0-or-later
# Rust dependencies:
# (Apache-2.0 OR MIT) AND BSD-3-Clause
# (MIT OR Apache-2.0) AND NCSA
# (MIT OR Apache-2.0) AND Unicode-3.0
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR ISC OR MIT
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-2-Clause
# BSD-2-Clause OR Apache-2.0 OR MIT
# BSD-2-Clause OR MIT OR Apache-2.0
# BSD-3-Clause
# BSD-3-Clause OR MIT OR Apache-2.0
# BSL-1.0
# CC0-1.0
# CC0-1.0 OR Apache-2.0
# GPL-3.0+ OR BSD-3-Clause
# GPL-3.0-or-later
# ISC
# LGPL-3.0-or-later OR MPL-2.0
# MIT
# MIT AND (MIT OR Apache-2.0)
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR BSD-1-Clause
# MIT OR Apache-2.0 OR CC0-1.0
# MIT OR Apache-2.0 OR Zlib
# MIT OR Zlib OR Apache-2.0
# MPL-2.0
# Unicode-3.0
# Unlicense
# Unlicense OR MIT
# Zlib
# Zlib OR Apache-2.0 OR MIT
License:        ((Apache-2.0 OR MIT) AND BSD-3-Clause) AND ((MIT OR Apache-2.0) AND NCSA) AND ((MIT OR Apache-2.0) AND Unicode-3.0) AND (0BSD OR MIT OR Apache-2.0) AND Apache-2.0 AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR ISC OR MIT) AND (Apache-2.0 OR MIT) AND Apache-2.0 WITH LLVM-exception AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND BSD-2-Clause AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (BSD-2-Clause OR MIT OR Apache-2.0) AND BSD-3-Clause AND (BSD-3-Clause OR MIT OR Apache-2.0) AND BSL-1.0 AND CC0-1.0 AND (CC0-1.0 OR Apache-2.0) AND (GPL-3.0+ OR BSD-3-Clause) AND GPL-3.0-or-later AND ISC (LGPL-3.0-or-later OR MPL-2.0) AND MIT AND (MIT AND (MIT OR Apache-2.0)) AND (MIT OR Apache-2.0) AND (MIT OR Apache-2.0 OR BSD-1-Clause) AND (MIT OR Apache-2.0 OR CC0-1.0) AND (MIT OR Apache-2.0 OR Zlib) AND (MIT OR Zlib OR Apache-2.0) AND MPL-2.0 AND Unicode-3.0 AND Unlicense AND (Unlicense OR MIT) AND Zlib AND (Zlib OR Apache-2.0 OR MIT)
# LICENSE.dependencies contains a full license breakdown

URL:            https://github.com/squidowl/halloy
Source0:        %{url}/archive/refs/tags/%{version}.tar.gz

BuildRequires:  cargo-rpm-macros >= 25
BuildRequires:  openssl-devel
BuildRequires:  alsa-lib-devel

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

%global _description %{expand:
Halloy is an open-source IRC client written in Rust, with the Iced GUI
library. It aims to provide a simple and fast client for Mac, Windows,
and Linux platforms.}

%description %{_description}

%prep
%autosetup -n halloy-%{version} -p1
%cargo_prep -N
sed -i 's/offline = true/offline = false/' .cargo/config.toml
cargo vendor >> .cargo/config.toml

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies
%{cargo_vendor_manifest}

%install
install -Dm755 target/release/%{name} -t %{buildroot}%{_bindir}
install -Dm644 assets/linux/%{app_id}.appdata.xml -t \
%{buildroot}%{_datadir}/metainfo
install -Dm644 assets/linux/%{app_id}.desktop -t \
%{buildroot}%{_datadir}/applications
cp -r assets/linux/icons %{buildroot}%{_datadir}

%if %{with check}
%check
%cargo_test
desktop-file-validate %{buildroot}%{_datadir}/applications/%{app_id}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{app_id}.appdata.xml
%endif

%files
%license LICENSE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc README.md
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{app_id}.png
%{_datadir}/applications/%{app_id}.desktop
%{_metainfodir}/%{app_id}.appdata.xml

%changelog
* Thu Apr 10 2025 Umut Demir <umutd3401@posteo.com> - 2025.4-1
- Update to 2025.4

* Sat Mar 15 2025 Umut Demir <umutd3401@posteo.com> - 2025.3-1
- Update to 2025.3

* Sat Feb 22 2025 Umut Demir <umutd3401@posteo.com> - 2025.2-1
- Update to 2025.2

* Mon Feb 3 2025 Umut Demir <umutd3401@posteo.com> - 2025.1-1
- Update to 2025.1

* Sun Jan 19 2025 Umut Demir <umutd3401@posteo.com> - 2024.14-1
- Initial release
